## kile 2.9.92

=== CMakeLists.txt ===
project(kile)

cmake_minimum_required(VERSION 3.0.0)

set(KILE_VERSION CACHE STRING "Kile's version; can be used to set the internal version of Kile on MacOSX")

find_package(ECM 5.19.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddAppIcon)
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)

include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(FeatureSummary)
include(WriteBasicConfigVersionFile)
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)

kde_enable_exceptions()
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)

find_package(Qt5 5.3 CONFIG REQUIRED
	Core
	DBus
	Widgets
	Script
	Test
)

find_package(KF5 5.31 REQUIRED COMPONENTS
	Config
	CoreAddons
	Crash
	DBusAddons
	DocTools
	GuiAddons
	I18n
	IconThemes
	Init
	KHtml
	KIO
	Parts
	TextEditor
	WindowSystem
	XmlGui
)

find_package(Okular5 REQUIRED)
set_package_properties(Okular5 PROPERTIES
	DESCRIPTION "Okular core library"
	URL "http://okular.kde.org")

find_package(Poppler COMPONENTS Qt5)
set_package_properties("Poppler" PROPERTIES
	TYPE RECOMMENDED
	PURPOSE "Support for PDF file operations.")

if(Poppler_Qt5_FOUND)
	set(HAVE_POPPLER TRUE)
	include_directories(${Poppler_INCLUDE_DIRS})
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/config.h)

# find_package(SharedMimeInfo REQUIRED)

add_definitions(
#   -DQT_USE_QSTRINGBUILDER
#   -DQT_NO_CAST_FROM_ASCII
#   -DQT_NO_CAST_FROM_BYTEARRAY
#   -DQT_USE_FAST_OPERATOR_PLUS
  -DQT_NO_CAST_TO_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_SIGNALS_SLOTS_KEYWORDS
)

if(CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
  add_definitions(-DQT_MESSAGELOGCONTEXT)
endif(CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")

add_subdirectory(doc)
add_subdirectory(src)

########### install files ###############

install(
	FILES kile.xml
	DESTINATION ${XDG_MIME_INSTALL_DIR})
# update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})

install(
	FILES
		kile.upd
	DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kconf_update)

install(
	PROGRAMS
		kile1.6_upd.pl
		kile1.7_upd.pl
		kile1.9_upd.pl
		kile1.9-1_upd.pl
		kile2.0-1_upd.pl
		kile2.0-2_upd.pl
		kile2.0-3_upd.pl
		kile2.0-4_upd.pl
		kile2.0-5_upd.pl
	DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kconf_update)

install(FILES
		AUTHORS
		ChangeLog
		README
		README.cwl
		kile-remote-control.txt
	DESTINATION ${KDE_INSTALL_DATAROOTDIR}/doc/kile)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)
find_package(KF5DocTools CONFIG REQUIRED)
kdoctools_install(po)

=== src/CMakeLists.txt ===
add_subdirectory(data)
add_subdirectory(test)

include(FindPerl)

include_directories(
	${CMAKE_INCLUDE_PATH}
	${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
)

get_directory_property(CMAKE_REQUIRED_INCLUDES INCLUDE_DIRECTORIES)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

########### next target ###############

set(kile_SRCS
	abbreviationmanager.cpp
	codecompletion.cpp
	configtester.cpp
	configurationmanager.cpp
	convert.cpp
	dialogs/abbreviationinputdialog.cpp
	dialogs/cleandialog.cpp
	dialogs/configcheckerdialog.cpp
	dialogs/configurationdialog.cpp
	dialogs/findfilesdialog.cpp
	dialogs/floatdialog.cpp
	dialogs/includegraphicsdialog.cpp
	dialogs/latexcommanddialog.cpp
	dialogs/listselector.cpp
	dialogs/managetemplatesdialog.cpp
	dialogs/mathenvironmentdialog.cpp
	dialogs/newfilewizard.cpp
	dialogs/pdf-wizard/pdfdialog.cpp
	dialogs/postscriptdialog.cpp
	dialogs/projectdialogs.cpp
	dialogs/quickdocumentdialog.cpp
	dialogs/scriptshortcutdialog.cpp
	dialogs/statisticsdialog.cpp
	dialogs/tabbingdialog.cpp
	dialogs/tabular/multicolumnborderhelper.cpp
	dialogs/tabular/newtabulardialog.cpp
	dialogs/tabular/selectcoloraction.cpp
	dialogs/tabular/selectframeaction.cpp
	dialogs/tabular/tabularcell.cpp
	dialogs/tabular/tabularcelldelegate.cpp
	dialogs/tabular/tabularheaderitem.cpp
	dialogs/tabular/tabularproperties.cpp
	dialogs/tabular/tabulartable.cpp
	dialogs/texdocumentationdialog.cpp
	dialogs/userhelpdialog.cpp
	dialogs/usermenu/usermenudialog.cpp
	dialogs/usermenu/usermenuitem.cpp
	dialogs/usermenu/usermenutree.cpp
	dialogs/validatorinputdialog.cpp
	docpart.cpp
	documentinfo.cpp
	editorcommands.cpp
	editorextension.cpp
	editorkeysequencemanager.cpp
	errorhandler.cpp
	eventfilter.cpp
	kileactions.cpp
	kile.cpp
	kiledocmanager.cpp
	kileextensions.cpp
	kilehelp.cpp
	kileinfo.cpp
	kilelauncher.cpp
	kilelyxserver.cpp
	kileproject.cpp
	kilestdactions.cpp
	kilestdtools.cpp
	kiletool.cpp
	kiletoolmanager.cpp
	kileversion.cpp
	kileviewmanager.cpp
	kilewizard.cpp
	latexcmd.cpp
	livepreview.cpp
	livepreview_utils.cpp
	main.cpp
	outputinfo.cpp
	parser/bibtexparser.cpp
	parser/latexoutputparser.cpp
	parser/latexparser.cpp
	parser/parser.cpp
	parser/parsermanager.cpp
	parser/parserthread.cpp
	plaintolatexconverter.cpp
	quickpreview.cpp
	scripting/kilescriptdocument.cpp
	scripting/kilescriptobject.cpp
	scripting/kilescriptview.cpp
	scripting/script.cpp
	scriptmanager.cpp
	symbolviewclasses.h
	templates.cpp
	tool_utils.cpp
	userhelp.cpp
	usermenu/usermenu.cpp
	usermenu/usermenudata.cpp
	utilities.cpp
	widgets/abbreviationview.cpp
	widgets/categorycombobox.cpp
	widgets/codecompletionconfigwidget.cpp
	widgets/commandview.cpp
	widgets/filebrowserwidget.cpp
	widgets/konsolewidget.cpp
	widgets/logwidget.cpp
	widgets/outputview.cpp
	widgets/previewconfigwidget.cpp
	widgets/previewwidget.cpp
	widgets/progressdialog.cpp
	widgets/projectview.cpp
	widgets/scriptsmanagementwidget.cpp
	widgets/sidebar.cpp
	widgets/statisticswidget.cpp
	widgets/statusbar.cpp
	widgets/structurewidget.cpp
	widgets/symbolview.cpp
	widgets/toolconfigwidget.cpp
	widgets/scrollwidget.cpp
)

set(kile_UI
	dialogs/floatdialog_base.ui
	dialogs/includegraphicsdialog_base.ui
	dialogs/latexcommanddialog_base.ui
	dialogs/newtoolwizard_class_page.ui
	dialogs/newtoolwizard_toolname_page.ui
	dialogs/pdf-wizard/pdfdialog_base.ui
	dialogs/postscriptdialog_base.ui
	dialogs/scriptshortcutdialog_base.ui
	dialogs/tabbingdialog_base.ui
	dialogs/usermenu/usermenudialog_base.ui
	widgets/appearanceconfigwidget.ui
	widgets/codecompletionconfigwidget.ui
	widgets/configcheckerwidget.ui
	widgets/environmentconfigwidget.ui
	widgets/generalconfigwidget.ui
	widgets/graphicsconfigwidget.ui
	widgets/helpconfigwidget.ui
	widgets/latexconfigwidget.ui
	widgets/latextoolconfigwidget.ui
	widgets/livepreviewconfigwidget.ui
	widgets/maintoolconfigwidget.ui
	widgets/newdocumentwidget.ui
	widgets/processtoolconfigwidget.ui
	widgets/quicktoolconfigwidget.ui
	widgets/scriptingconfigwidget.ui
	widgets/structureviewconfigwidget.ui
	widgets/symbolviewconfigwidget.ui
	widgets/usermenuconfigwidget.ui
)

set(kile_UI_SRCS
	dialogs/newtoolwizard.cpp
	widgets/appearanceconfigwidget.cpp
	widgets/configcheckerwidget.cpp
	widgets/environmentconfigwidget.cpp
	widgets/generalconfigwidget.cpp
	widgets/graphicsconfigwidget.cpp
	widgets/helpconfigwidget.cpp
	widgets/latexconfigwidget.cpp
	widgets/latextoolconfigwidget.cpp
	widgets/livepreviewconfigwidget.cpp
	widgets/maintoolconfigwidget.cpp
	widgets/newdocumentwidget.cpp
	widgets/processtoolconfigwidget.cpp
	widgets/quicktoolconfigwidget.cpp
	widgets/scriptingconfigwidget.cpp
	widgets/structureviewconfigwidget.cpp
	widgets/symbolviewconfigwidget.cpp
	widgets/usermenuconfigwidget.cpp
)

set(kile_SRCS ${kile_SRCS} ${kile_UI_SRCS})

ki18n_wrap_ui(kile_SRCS ${kile_UI})

set(kile_SRCS ${kile_SRCS} net.sourceforge.kile.main.xml)
QT5_ADD_DBUS_ADAPTOR(kile_SRCS net.sourceforge.kile.main.xml kile.h Kile)

set(kile_KCFG_SRCS kileconfig.kcfgc)

kconfig_add_kcfg_files(kile_SRCS ${kile_KCFG_SRCS})

# add icon to executable on windows and mac;
# workaround: as ecm_add_app_icon and kf5_add_kdeinit_executable don't work well together,
# we use a variable named 'kile' at this point
ecm_add_app_icon(kile
	ICONS
	${CMAKE_CURRENT_SOURCE_DIR}/data/icons/16-apps-kile.png
	${CMAKE_CURRENT_SOURCE_DIR}/data/icons/22-apps-kile.png
	${CMAKE_CURRENT_SOURCE_DIR}/data/icons/32-apps-kile.png
	${CMAKE_CURRENT_SOURCE_DIR}/data/icons/48-apps-kile.png
	${CMAKE_CURRENT_SOURCE_DIR}/data/icons/64-apps-kile.png
	${CMAKE_CURRENT_SOURCE_DIR}/data/icons/128-apps-kile.png
)
set(kile_SRCS "${kile_SRCS};${kile}")

# add the resource file containing the ui files
qt5_add_resources(kile_SRCS kile.qrc)

kf5_add_kdeinit_executable(kile ${kile_SRCS})

if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin") # for Mac OS X
    # extract the last copyright year from "kileversion.h"
    file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/kileversion.h" LAST_COPYRIGHT_YEAR_LINE REGEX "KILE_LAST_COPYRIGHT_YEAR (.*)")
    string(REGEX MATCH "KILE_LAST_COPYRIGHT_YEAR[^0-9]+([0-9]+)" TMP_MATCH ${LAST_COPYRIGHT_YEAR_LINE})
    set(LAST_COPYRIGHT_YEAR ${CMAKE_MATCH_1})

    set_target_properties(kile PROPERTIES
        OUTPUT_NAME                     "Kile"
        MACOSX_BUNDLE_BUNDLE_NAME       "Kile"
        MACOSX_BUNDLE_GUI_IDENTIFIER    "org.kde.kile"
        MACOSX_BUNDLE_DISPLAY_NAME      "Kile"
        MACOSX_BUNDLE_INFO_STRING       "Kile, an KDE Integrated LaTeX Environment"
        MACOSX_BUNDLE_COPYRIGHT         "the Kile Team (2003 - ${LAST_COPYRIGHT_YEAR})")
    if(KILE_VERSION)
        set_target_properties(kile PROPERTIES
            MACOSX_BUNDLE_LONG_VERSION_STRING "Kile ${KILE_VERSION}"
            MACOSX_BUNDLE_SHORT_VERSION_STRING "${KILE_VERSION}"
            MACOSX_BUNDLE_BUNDLE_VERSION "${KILE_VERSION}")
    endif()
endif(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")

target_link_libraries(kdeinit_kile
PUBLIC
    Qt5::Script
    KF5::CoreAddons
    KF5::Crash
    KF5::DBusAddons
    KF5::GuiAddons
    KF5::KHtml
    KF5::I18n
    KF5::IconThemes
    KF5::KIOCore
    KF5::KIOFileWidgets
    KF5::TextEditor
    KF5::WindowSystem
)
# optional dependencies
if(Poppler_Qt5_FOUND)
	target_link_libraries(kdeinit_kile PUBLIC Poppler::Qt5)
endif()

if(Okular5_FOUND)
  # We don't need to link to okular since it gets loaded dynamically at runtime.
  # All we need are the include directories which we can get with this generator expression:
  target_include_directories(kdeinit_kile PRIVATE $<TARGET_PROPERTY:Okular::Core,INTERFACE_INCLUDE_DIRECTORIES>)
endif()

install(TARGETS kile ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS kdeinit_kile ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES net.sourceforge.kile.main.xml DESTINATION ${DBUS_INTERFACES_INSTALL_DIR})
install(PROGRAMS org.kde.kile.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES kile.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES data/bibtexentries.rc data/biblatexentries.rc DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile)
install(FILES data/kile.categories DESTINATION ${KDE_INSTALL_CONFDIR})
install(FILES data/org.kde.kile.appdata.xml DESTINATION ${CMAKE_INSTALL_METAINFODIR})

if(CMAKE_SYSTEM_NAME MATCHES "Windows")
	install(FILES data/kilestdtools-win.rc
           DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile
           RENAME kilestdtools.rc)
else(CMAKE_SYSTEM_NAME MATCHES "Windows")
	install (FILES data/kilestdtools.rc
           DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile)
endif(CMAKE_SYSTEM_NAME MATCHES "Windows")

=== src/data/icons/CMakeLists.txt ===
add_subdirectory(actions)

set(kile_ICONS
	128-apps-kile.png
	16-apps-kile.png
	22-apps-kile.png
	32-apps-kile.png
	48-apps-kile.png
	64-apps-kile.png
	sc-apps-kile.svgz
)

ecm_install_icons(
	ICONS ${kile_ICONS}
	DESTINATION ${ICON_INSTALL_DIR}
)

=== src/data/templates/CMakeLists.txt ===

########### install files ###############
file(GLOB kile_template *.tex)
install(FILES ${kile_template} DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/templates)

=== src/data/icons/actions/CMakeLists.txt ===
set(kile_action_ICONS
	128-actions-nroot.png
	128-actions-sqrt.png
	16-actions-acute.png
	16-actions-align.png
	16-actions-bar.png
	16-actions-BBmatrix.png
	16-actions-beamerblock.png
	16-actions-beamerframe.png
	16-actions-bigskip.png
	16-actions-bigspace.png
	16-actions-binom.png
	16-actions-bmatrix.png
	16-actions-breve.png
	16-actions-cases.png
	16-actions-chapter.png
	16-actions-check.png
	16-actions-closeallenv.png
	16-actions-closeenv.png
	16-actions-closegroup.png
	16-actions-complete1.png
	16-actions-complete2.png
	16-actions-complete3.png
	16-actions-configure_kile.png
	16-actions-configure_project.png
	16-actions-contents.png
	16-actions-ddot.png
	16-actions-delenv_i.png
	16-actions-delenv_o.png
	16-actions-deleol.png
	16-actions-delete.png
	16-actions-delgroup_i.png
	16-actions-delgroup_o.png
	16-actions-delline.png
	16-actions-delmath.png
	16-actions-delpar.png
	16-actions-delword.png
	16-actions-description.png
	16-actions-dot.png
	16-actions-enskip.png
	16-actions-enumerate.png
	16-actions-eqnarray.png
	16-actions-equation.png
	16-actions-figure-env.png
	16-actions-file.png
	16-actions-flalign.png
	16-actions-gather.png
	16-actions-gotobeginenv.png
	16-actions-gotobegingroup.png
	16-actions-gotoendenv.png
	16-actions-gotoendgroup.png
	16-actions-graphics.png
	16-actions-grave.png
	16-actions-hat.png
	16-actions-hspace.png
	16-actions-hspace-star.png
	16-actions-include-file.png
	16-actions-input-file.png
	16-actions-itemize.png
	16-actions-item.png
	16-actions-js.png
	16-actions-label.png
	16-actions-lr.png
	16-actions-masteritem.png
	16-actions-matchenv.png
	16-actions-matchgroup.png
	16-actions-math0.png
	16-actions-math10.png
	16-actions-math1.png
	16-actions-math2.png
	16-actions-math3.png
	16-actions-math4.png
	16-actions-math5.png
	16-actions-math6.png
	16-actions-math7.png
	16-actions-math8.png
	16-actions-math9.png
	16-actions-mathmode.png
	16-actions-matrix.png
	16-actions-medskip.png
	16-actions-medspace.png
	16-actions-minipage.png
	16-actions-modified.png
	16-actions-modonhd.png
	16-actions-multline.png
	16-actions-nextbullet.png
	16-actions-nextparagraph.png
	16-actions-nextsection.png
	16-actions-nroot.png
	16-actions-part.png
	16-actions-pmatrix.png
	16-actions-prevbullet.png
	16-actions-prevparagraph.png
	16-actions-prevsection.png
	16-actions-projectitem.png
	16-actions-qquad.png
	16-actions-quad.png
	16-actions-refreshstructure.png
	16-actions-relation.png
	16-actions-script-key-sequence.png
	16-actions-script-key-shortcut.png
	16-actions-scriptnew.png
	16-actions-scriptopen.png
	16-actions-section.png
	16-actions-selenv_i.png
	16-actions-selenv_o.png
	16-actions-selgroup_i.png
	16-actions-selgroup_o.png
	16-actions-selline.png
	16-actions-selmath.png
	16-actions-selpar.png
	16-actions-selword.png
	16-actions-smallfrac.png
	16-actions-smallskip.png
	16-actions-smartnewline.png
	16-actions-sqrt.png
	16-actions-structure.png
	16-actions-subsection.png
	16-actions-subsubsection.png
	16-actions-table-env.png
	16-actions-texlion.png
	16-actions-thinspace.png
	16-actions-tilde.png
	16-actions-usermenu-down.png
	16-actions-usermenu-insert-above.png
	16-actions-usermenu-insert-below.png
	16-actions-usermenu-into-submenu.png
	16-actions-usermenu-separator-above.png
	16-actions-usermenu-separator-below.png
	16-actions-usermenu-submenu-above.png
	16-actions-usermenu-submenu-below.png
	16-actions-usermenu-up.png
	16-actions-vec.png
	16-actions-verbatim.png
	16-actions-verb.png
	16-actions-viewdvi.png
	16-actions-viewhtml.png
	16-actions-viewpdf.png
	16-actions-viewps.png
	16-actions-vmatrix.png
	16-actions-vspace.png
	16-actions-vspace-star.png
	16-actions-VVmatrix.png
	22-actions-align.png
	22-actions-array.png
	22-actions-BBmatrix.png
	22-actions-bboxnext.png
	22-actions-bboxprev.png
	22-actions-bigskip.png
	22-actions-bigspace.png
	22-actions-binom.png
	22-actions-bmatrix.png
	22-actions-cases.png
	22-actions-cline.png
	22-actions-complete1.png
	22-actions-complete2.png
	22-actions-complete3.png
	22-actions-configure_kile.png
	22-actions-configure_project.png
	22-actions-contents.png
	22-actions-convert.png
	22-actions-description.png
	22-actions-dfrac.png
	22-actions-displaymathmode.png
	22-actions-emph.png
	22-actions-enskip.png
	22-actions-enumerate.png
	22-actions-eqnarray.png
	22-actions-equation.png
	22-actions-errornext.png
	22-actions-errorprev.png
	22-actions-figure-env.png
	22-actions-filegrep.png
	22-actions-flalign.png
	22-actions-gather.png
	22-actions-graphics.png
	22-actions-help-latex.png
	22-actions-hline.png
	22-actions-hspace.png
	22-actions-hspace-star.png
	22-actions-include-file.png
	22-actions-input-file.png
	22-actions-itemize.png
	22-actions-item.png
	22-actions-jspage.png
	22-actions-js.png
	22-actions-label.png
	22-actions-latex-config.png
	22-actions-lr.png
	22-actions-master.png
	22-actions-matrix.png
	22-actions-medskip.png
	22-actions-medspace.png
	22-actions-minipage.png
	22-actions-multicolumn.png
	22-actions-multline.png
	22-actions-newline.png
	22-actions-nroot.png
	22-actions-output_win.png
	22-actions-pmatrix.png
	22-actions-preview_env.png
	22-actions-preview_math.png
	22-actions-preview_sel.png
	22-actions-preview_subdoc.png
	22-actions-project_add.png
	22-actions-project_archive.png
	22-actions-projectgrep.png
	22-actions-project_rebuild.png
	22-actions-project_remove.png
	22-actions-project_show.png
	22-actions-qquad.png
	22-actions-quad.png
	22-actions-quick.png
	22-actions-quickwizard.png
	22-actions-refreshstructure.png
	22-actions-scriptnew.png
	22-actions-scriptopen.png
	22-actions-slanted.png
	22-actions-smallskip.png
	22-actions-smartnewline.png
	22-actions-sqrt.png
	22-actions-strong.png
	22-actions-tabbing.png
	22-actions-table-env.png
	22-actions-tabular.png
	22-actions-tabular-star.png
	22-actions-texlion.png
	22-actions-thinspace.png
	22-actions-typewriter.png
	22-actions-usermenu-clear.png
	22-actions-usermenu-delete.png
	22-actions-usermenu-install.png
	22-actions-verbatim.png
	22-actions-verb.png
	22-actions-viewdvi.png
	22-actions-viewhtml.png
	22-actions-viewlog.png
	22-actions-viewpdf.png
	22-actions-viewps.png
	22-actions-vline.png
	22-actions-vmatrix.png
	22-actions-vspace.png
	22-actions-vspace-star.png
	22-actions-VVmatrix.png
	22-actions-warnnext.png
	22-actions-warnprev.png
	22-actions-watchfile.png
	22-actions-wizard_array.png
	22-actions-wizard_float.png
	22-actions-wizard_math.png
	22-actions-wizard_pdftools.png
	22-actions-wizard_pstools.png
	22-actions-wizard_tabbing.png
	22-actions-wizard_tabular.png
	22-actions-wizard_usermenu.png
	32-actions-bibtex.png
	32-actions-dblatex.png
	32-actions-dvipdf.png
	32-actions-dvipng.png
	32-actions-dvips.png
	32-actions-dvisearch.png
	32-actions-environment.png
	32-actions-joincells.png
	32-actions-js.png
	32-actions-l2h.png
	32-actions-latex.png
	32-actions-lilypond.png
	32-actions-makeidx.png
	32-actions-mpost.png
	32-actions-nroot.png
	32-actions-pdflatex.png
	32-actions-pdftex.png
	32-actions-ps2pdf.png
	32-actions-scriptnew.png
	32-actions-scriptopen.png
	32-actions-splitcells.png
	32-actions-sqrt.png
	32-actions-texcompiler.png
	32-actions-viewbib.png
	32-actions-viewdvi.png
	32-actions-viewhtml.png
	32-actions-viewpdf.png
	32-actions-viewps.png
	48-actions-graphicspage.png
	48-actions-nroot.png
	48-actions-sqrt.png
	64-actions-nroot.png
	64-actions-preview.png
	64-actions-sqrt.png
)

ecm_install_icons(
	ICONS ${kile_action_ICONS}
	DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/icons
)

=== debian/changelog ===
kile (4:2.9.92-2+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Fri, 22 Jan 2021 11:35:31 +0800

kile (4:2.9.92-2) unstable; urgency=medium

  * Make okular a strict dependency. Kile requires a plugin shipped in okular
    itself to work (Closes: #919289).
  * Bump Standards-Version to 4.3.0, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 19 Jan 2019 19:06:32 -0300

kile (4:2.9.92-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_Do-not-crash-when-the-viewer-part-is-not-available.patch: drop,
      backported from upstream
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Remove empty line at the end of changelog.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Update install files.
  * Remove the empty override_dh_auto_test override, as there are no tests
    upstream.
  * Update lintian overrides.
  * Remove the fixup of the permissions of perl scripts, as they have the right
    permissions already now.
  * Remove the README.Debian file for kile, as its content is long obsolete.
  * Remove svn-upgrade action in watch file, as it is not needed anymore now.

 -- Pino Toscano <pino@debian.org>  Thu, 17 May 2018 10:01:43 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# do NOT run optipng on the icons, this removes the metadata in the latex
# symbol icons which kile depends on for the symbol table. LP: #772631
export NO_PNG_PKG_MANGLE=1

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

=== debian/watch ===
version=3
http://sf.net/kile/kile-([\d\.]+[\d])\.tar\.bz2

## kile 2.9.93

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,7 @@
 kde_enable_exceptions()
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)
 
-find_package(Qt5 5.3 CONFIG REQUIRED
+find_package(Qt5 5.6 CONFIG REQUIRED
 	Core
 	DBus
 	Widgets
@@ -122,6 +122,7 @@
 		README
 		README.cwl
 		kile-remote-control.txt
+		README.MacOSX
 	DESTINATION ${KDE_INSTALL_DATAROOTDIR}/doc/kile)
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -188,6 +188,9 @@
 
 kconfig_add_kcfg_files(kile_SRCS ${kile_KCFG_SRCS})
 
+set_source_files_properties("${CMAKE_CURRENT_BINARY_DIR}/kileconfig.h" PROPERTIES SKIP_AUTOMOC ON)   # otherwise we get a warning about
+set_source_files_properties("${CMAKE_CURRENT_BINARY_DIR}/kileconfig.cpp" PROPERTIES SKIP_AUTOMOC ON) # the CMP0071 policy (with CMake 3.11)
+
 # add icon to executable on windows and mac;
 # workaround: as ecm_add_app_icon and kf5_add_kdeinit_executable don't work well together,
 # we use a variable named 'kile' at this point
@@ -210,7 +213,7 @@
 if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin") # for Mac OS X
     # extract the last copyright year from "kileversion.h"
     file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/kileversion.h" LAST_COPYRIGHT_YEAR_LINE REGEX "KILE_LAST_COPYRIGHT_YEAR (.*)")
-    string(REGEX MATCH "KILE_LAST_COPYRIGHT_YEAR[^0-9]+([0-9]+)" TMP_MATCH ${LAST_COPYRIGHT_YEAR_LINE})
+    string(REGEX MATCH "KILE_LAST_COPYRIGHT_YEAR \"([0-9]+)\"" TMP_MATCH ${LAST_COPYRIGHT_YEAR_LINE})
     set(LAST_COPYRIGHT_YEAR ${CMAKE_MATCH_1})
 
     set_target_properties(kile PROPERTIES

=== src/data/CMakeLists.txt ===
add_subdirectory(complete)
add_subdirectory(encodings)
add_subdirectory(help)
add_subdirectory(icons)
add_subdirectory(usermenu)
add_subdirectory(pics)
add_subdirectory(script-plugins)
add_subdirectory(scripts)
add_subdirectory(symbols-ng)
add_subdirectory(templates)

=== src/data/encodings/CMakeLists.txt ===

########### install files ###############
file(GLOB kile_enc *.enc)
install(FILES ${kile_enc} DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/encodings)

=== src/data/help/CMakeLists.txt ===

########### install files ###############
file(GLOB kile_lst *.lst)
install(FILES ${kile_lst} latexhelp.html latex2e-texlive.html DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/help)

=== src/data/icons/CMakeLists.txt ===
add_subdirectory(actions)

set(kile_ICONS
	16-apps-kile.png
	22-apps-kile.png
	32-apps-kile.png
	44-apps-kile.png
	48-apps-kile.png
	64-apps-kile.png
	128-apps-kile.png
	150-apps-kile.png
	310-apps-kile.png
	sc-apps-kile.svg
)

ecm_install_icons(
	ICONS ${kile_ICONS}
	DESTINATION ${ICON_INSTALL_DIR}
)

=== src/data/script-plugins/CMakeLists.txt ===

########### install files ###############
file(GLOB kile_jsplug *.js)
install(FILES ${kile_jsplug} DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/script-plugins)

=== src/data/symbols-ng/CMakeLists.txt ===

add_subdirectory(relation)
add_subdirectory(arrows)
add_subdirectory(delimiters)
add_subdirectory(greek)
add_subdirectory(misc-math)
add_subdirectory(misc-text)
add_subdirectory(operators)
add_subdirectory(special)
add_subdirectory(cyrillic)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED Core)

include_directories(${QT_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR})

set(gesymb-ng_SRCS gesymb-ng.cpp)
add_executable(gesymb-ng EXCLUDE_FROM_ALL ${gesymb-ng_SRCS})
target_link_libraries(gesymb-ng ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTGUI_LIBRARY})

set(convertOldSymbolFormat_SRCS convertOldSymbolFormat.cpp convertOldSymbolFormat.h)
add_executable(convertOldSymbolFormat EXCLUDE_FROM_ALL ${convertOldSymbolFormat_SRCS})
target_link_libraries(convertOldSymbolFormat ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTGUI_LIBRARY})

=== src/data/usermenu/CMakeLists.txt ===
file(GLOB kile_lum *.xml)
install(FILES ${kile_lum} DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/usermenu)

=== src/data/complete/abbreviation/CMakeLists.txt ===
file(GLOB kile_abbrevFiles *.cwl)
install(FILES ${kile_abbrevFiles} DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/complete/abbreviation)

=== src/data/symbols-ng/arrows/CMakeLists.txt ===
file(GLOB symbols *.png)
set(symbolType "arrows")
install(FILES ${symbols} DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/mathsymbols/${symbolType})

=== src/data/symbols-ng/misc-text/CMakeLists.txt ===
file(GLOB symbols *.png)
set(symbolType "misc-text")
install(FILES ${symbols} DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kile/mathsymbols/${symbolType})

=== debian/changelog ===
kile (4:2.9.93-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:00:21 +1100

kile (4:2.9.93-2build2) noble; urgency=high

  * No change rebuild against libpoppler-qt5-1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:36:28 +0100

kile (4:2.9.93-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:00:18 +0000

kile (4:2.9.93-2) unstable; urgency=medium

  * Team upload.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
    - stop passing --fail-missing to dh_missing, as it is the default behaviour
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.0
    - explicitly add gettext
    - remove shared-mime-info, not required
  * Switch upstream homepage to https://kile.sourceforge.io.
  * Update lintian overrides.
  * Switch the watch file to version 4, and use https.
  * Add a simple upstream/metadata file.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.

 -- Pino Toscano <pino@debian.org>  Wed, 20 Jan 2021 10:09:26 +0100

kile (4:2.9.93-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump the Qt packages to 5.6.0
  * Pick the installed documentation, instead of copying it manually later on
    with dh_installdocs:
    - remove the documentation files we do not want
    - remove debian/kile.docs, no more needed now
  * Call dh_missing with --fail-missing to catch uninstalled files.
  * Update Vcs-* fields.

 -- Pino Toscano <pino@debian.org>  Wed, 23 Oct 2019 07:26:23 +0200

=== debian/control ===
Source: kile
Section: tex
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.19.0~),
               gettext,
               kinit-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5crash-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5doctools-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5khtml-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5parts-dev (>= 5.31.0~),
               libkf5texteditor-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libpoppler-qt5-dev,
               okular-dev (>= 4:17.08~),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.6.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://kile.sourceforge.io
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kile
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kile.git

Package: kile
Architecture: any
Depends: kinit,
         konsole-kpart,
         okular,
         texlive-latex-base,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: dvipng, ghostscript, imagemagick, psutils, texlive
Suggests: aspell | ispell | hspell,
          asymptote,
          context,
          dblatex,
          kbibtex,
          kile-doc,
          kile-l10n,
          latex2html,
          lilypond,
          tex4ht,
          texlive-xetex,
          zip
Description: KDE Integrated LaTeX Environment
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 The source editor is a multi-document editor designed for .tex and .bib
 files.  Menus, wizards and auto-completion are provided to assist with
 tag insertion and code generation.  A structural view of the document
 assists with navigation within source files.
 .
 The TeX shell integrates the various tools required for TeX processing.
 It assists with LaTeX compilation, DVI and postscript document viewing,
 generation of bibliographies and indices and other common tasks.
 .
 Kile can support large projects consisting of several smaller files.

Package: kile-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: KDE Integrated LaTeX Environment (documentation)
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 The source editor is a multi-document editor designed for .tex and .bib
 files.  Menus, wizards and auto-completion are provided to assist with
 tag insertion and code generation.  A structural view of the document
 assists with navigation within source files.
 .
 This package contains the documentation for Kile.

Package: kile-l10n
Architecture: all
Section: localization
Depends: kile (>= ${source:Version}), ${misc:Depends}
Breaks: kile-i18n (<< 2.1.0-1)
Replaces: kile-i18n (<< 2.1.0-1)
Description: KDE Integrated LaTeX Environment (localization)
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 The source editor is a multi-document editor designed for .tex and .bib
 files.  Menus, wizards and auto-completion are provided to assist with
 tag insertion and code generation.  A structural view of the document
 assists with navigation within source files.
 .
 This package contains the translations for Kile.

=== debian/watch ===
version=4
https://sf.net/kile/kile-([\d\.]+[\d])\.tar\.bz2
